Kerbal Space Program - Feature #404

Docking port magnetism refresh
03/15/2013 04:04 PM - 3_bit

Status: New % Done: 0%
Severity: Very Low
Assignee:

Category: Parts
Target version:

Platform: Mod Related: No

Expansion:

Description

Tested with junior docking ports: | had designed a fuel transfer system using containers of fuel with junior docking ports on either side
and would have the fuel containers undock with the carrying vessel and dock with another vessel. The two vessels doing this would
be docked together already. The problem | am having is that if | pass them back and forth more than once, | find that the
magnetic-pulling ability that docking ports have is inactive. | believe this is due to a proximitry-based magnetic field reset, not one that
updates on vessels docking with others. This is why | think | encountered the problem of neither docking port pulling the vessel in
after once or twice. The attached craft file is a test vessel of this method.

History

#1 - 03/16/2013 11:26 AM - Mr_Orion

- Severity changed from High to Very Low

I'm just popping in to re-assign the priority.

This issue, although being an issue, is doing some the game isn't really intended to do so much; we already have fuel transfer systems in place, and
the docking wasn't made in mind with people rapidly docking and undocking. However it is still an issue, but maybe it could be changed into a

feature?: A right-click option to reset the magnets would be nice.

You must be careful to be as unbiased as possible when reporting bugs. Thank you for your time and effort into researching the specifics of this issue
and writing up this post, though!

#2 - 03/16/2013 05:42 PM - Anonymous

- Tracker changed from Bug to Feature

Yup, changed to feature :)

Files

Docking Port bug.craft 37.5 KB 03/15/2013 3_bit
